org.apache.solr.client.solrj.cloud.autoscaling

## Class Condition

- java.lang.Object
- - org.apache.solr.client.solrj.cloud.autoscaling.Condition

All Implemented Interfaces:
  MapSerializable, MapWriter

    public class Condition
    extends Object
    implements MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Method Summary

All Methods Instance Methods Concrete Methods
`Double` `delta(Object val)`
`boolean` `equals(Object that)`
`Clause` `getClause()`
`String` `getName()`
`Operand` `getOperand()`
`Object` `getValue()`
`Double` `replicaCountDelta(Object val)`
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getClause

    public Clause getClause()

#### equals

    public boolean equals(Object that)

Overrides:
  `equals` in class `Object`

#### replicaCountDelta

    public Double replicaCountDelta(Object val)

#### delta

    public Double delta(Object val)

#### getName

    public String getName()

#### getValue

    public Object getValue()

#### getOperand

    public Operand getOperand()